Bug 227554 - dns/bind912: fix build with LOCALBASE != /usr/local
Summary: dns/bind912: fix build with LOCALBASE != /usr/local
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-16 14:34 UTC by John Hein
Modified: 2018-04-18 03:48 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (mat)


Attachments
[patch] fix build for non-default LOCALBASE (bind9*) (2.09 KB, patch)
2018-04-16 14:34 UTC, John Hein
jcfyecrayz: maintainer-approval? (mat)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2018-04-16 14:34:31 UTC
Created attachment 192560 [details]
[patch] fix build for non-default LOCALBASE (bind9*)

If LOCALBASE is not /usr/local, dns/bind912 fails at configure time with errors like so:

checking for lmdb library... configure: error: include/lmdb.h not found.
 and
checking for json library... configure: error: include/json{,-c}/json.h not found.

The attached patch addresses this for bind912, bind911, bind910, and bind9-devel.

Verified with poudriere testport for each of those ports.
Comment 1 commit-hook freebsd_committer 2018-04-17 08:27:38 UTC
A commit references this bug:

Author: mat
Date: Tue Apr 17 08:26:50 UTC 2018
New revision: 467580
URL: https://svnweb.freebsd.org/changeset/ports/467580

Log:
  Fix build when LOCALBASE!=/usr/local.

  PR:		227554
  Submitted by:	John Hein
  Sponsored by:	Absolight

Changes:
  head/dns/bind9-devel/Makefile
  head/dns/bind910/Makefile
  head/dns/bind911/Makefile
  head/dns/bind912/Makefile
Comment 2 John Hein 2018-04-18 03:48:51 UTC
Thanks.